#!/bin/bash

set -e 

base_tag="$REGISTRY/$SERVICE"
tag="$base_tag:${COMMIT_SHA:0:10}"
latest_tag="$base_tag:latest"

export DOCKER_BUILDKIT=1

echo "docker: logging in"
docker login -u $DOCKER_USERNAME -p $DOCKER_PASSWORD

echo "docker: pushing image $tag"
docker push "$tag" &
docker push "$latest_tag" &
wait

